//  Persistance of Vision Raytracer V3.0
//  World definition file.
//
//  Contains 7 lights, 10 textures and 110 primitives.
//
//  This file was generated for POV-Ray V3.0 by
//  Moray V3.0 For Windows (c) 1991-1998 Lutz + Kretzschmar
//

//  Date : 03/16/1998    (16.03.1998)
//

/*
  The text between these two comments is in MorayPOV.INC and is
  automatically included in all POV files that Moray exports.
*/

/* // Scene Comment

This scene was created with Moray For Windows.

*/ // End Scene Comment

global_settings {
  adc_bailout 0.003922
  ambient_light <1.0,1.0,1.0>
  assumed_gamma 1.9
  hf_gray_16 off
  irid_wavelength <0.247059,0.176471,0.137255>
  max_intersections 64
  max_trace_level 10
  number_of_waves 10
  radiosity {
    brightness       3.3
    count            100
    distance_maximum 0.0
    error_bound      0.4
    gray_threshold   0.5
    low_error_factor 0.8
    minimum_reuse    0.015
    nearest_count    6
    recursion_limit  1
  }
}

background { color <0.000,0.000,0.000> }

camera {  //  Camera StdCam
  location  <-23.846, -19.004, 9.938>
  direction <0.0,     0.0,  3.4296>
  sky       <0.0,     0.0,  1.0>  // Use right handed-system!
  up        <0.0,     0.0,  1.0>  // Where Z is up
  right     <1.33333,  0.0,  0.0>
  look_at   <0.240, -3.143, 3.452>
}

//
// *******  L I G H T S *******
//

light_source {   // Light5
  <-0.000, -0.006, 2.725>
  color rgb <1.000, 0.586, 0.000>
}

light_source {   // Light4
  <0.047, -0.006, 2.725>
  color rgb <1.000, 0.586, 0.000>
}

light_source {   // Light3
  <-0.029, -0.010, 2.725>
  color rgb <1.000, 0.586, 0.000>
}

light_source {   // Light2
  <0.004, 0.016, 2.725>
  color rgb <1.000, 0.586, 0.000>
}

light_source {   // Light001
  <0.000, -0.037, 2.725>
  color rgb <1.000, 0.586, 0.000>
}

light_source {   // bottom_vent_light
  <-0.006, -0.005, 1.845>
  color rgb <1.000, 0.929, 0.686>
}

light_source {   // top_vent_light
  <-0.003, -0.015, 5.132>
  color rgb <1.000, 0.929, 0.686>
}


//
// ********  TEXTURES  *******
//

#include "lamp.inc"


//
// ********  REFERENCED OBJECTS  *******
//



//
// ********  OBJECTS  *******
//





#declare CSG5 = merge {
  cone { // Cone6
    <0,0,0>, 0.0, <0,0,1>, 1.0
    scale <-0.061147, -0.065739, -1.142778>
    rotate <-23.789261, 6.989514, 169.987259>
    translate  <29.348148, 15.558538, 13.136918>
  }
  cone { // Cone7
    <0,0,0>, 0.0, <0,0,1>, 1.0
    scale <-0.061147, -0.065739, -1.142778>
    rotate <17.090683, 10.783942, -176.909622>
    translate  <29.346435, 16.858222, 13.133623>
  }
  texture {
    mothbody
  }
}
// Include contains 'TraSwp8'
#include "lamp.in1"

#declare TraSwp8 = object {
  TraSwp8_Raw
  texture {
    Wing_1
    scale <3.27157, 4.621257, 728.171204>
    translate <-1.542018, -2.630233, -487.805298>
  }
  scale <0.962162, 0.868777, 0.000769>
  rotate <89.823334, -6.307979, 106.736313>
  translate  <28.856496, 17.203813, 9.322197>
}
// Include contains 'TraSwp9'
#include "lamp.in2"

#declare TraSwp9 = object {
  TraSwp9_Raw
  texture {
    Wing_2
    scale <3.170266, 3.702102, 509.192657>
    translate <-0.996219, -1.979713, -202.406738>
  }
  scale <1.225017, 1.225017, 0.001225>
  rotate <91.175293, -4.243426, 106.0>
  translate  <28.74317, 17.978257, 10.291498>
}
// Include contains 'TraSwp10'
#include "lamp.in3"

#declare TraSwp10 = object {
  TraSwp10_Raw
  texture {
    Wing_1
    scale <2.941831, 4.163229, -801.995178>
    translate <-1.446776, -2.391505, 596.753540>
  }
  scale <0.962162, 0.868777, 0.000769>
  rotate <90.222862, -6.292163, -111.300583>
  translate  <28.856496, 15.133534, 9.393586>
}
// Include contains 'TraSwp11'
#include "lamp.in4"

#declare TraSwp11 = object {
  TraSwp11_Raw
  texture {
    Wing_2
    scale <3.358537, 3.240497, -883.87677>
    translate <-1.186934, -1.956538, 438.778961>
  }
  scale <1.225017, 1.225017, 0.001225>
  rotate <91.175293, -4.243426, -111.0>
  translate  <28.6867, 14.456218, 10.220109>
}
#declare LtWing2 = union {
  object { TraSwp8 }
  object { TraSwp9 }
  object { TraSwp10 }
  object { TraSwp11 }
}
//
// Include file contains 'Body2'
//
#include "lamp.in5"
#declare Body2 = object {
  Body2_Raw
  texture {
    mothbody
  }
  scale <-1.103599, -0.981515, -1.060887>
  rotate <-179.230011, 2.106441, 117.516136>
  translate  <29.851175, 16.09567, 9.763137>
}
union { // moth2
  object { CSG5 }
  object { LtWing2 }
  object { Body2 }
  scale -0.1153
  rotate <-144.802353, -0.0, -180.0>
  translate  <-4.942734, -7.958884, 0.456517>
}


#declare CSG4 = merge {
  cone { // Cone4
    <0,0,0>, 0.0, <0,0,1>, 1.0
    scale <-0.061147, -0.065739, -1.142778>
    rotate <-23.789261, 6.989514, 169.987259>
    translate  <29.348148, 15.558538, 13.136918>
  }
  cone { // Cone5
    <0,0,0>, 0.0, <0,0,1>, 1.0
    scale <-0.061147, -0.065739, -1.142778>
    rotate <17.090683, 10.783942, -176.909622>
    translate  <29.346435, 16.858222, 13.133623>
  }
  texture {
    mothbody
  }
}
// Include contains 'TraSwp4'
#include "lamp.in6"

#declare TraSwp4 = object {
  TraSwp4_Raw
  texture {
    Wing_1
    scale <3.27157, 4.621257, 728.171204>
    translate <-1.542018, -2.630233, -487.805298>
  }
  scale <0.962162, 0.868777, 0.000769>
  rotate <89.823334, -6.307979, 106.736313>
  translate  <28.856496, 17.203813, 9.322197>
}
// Include contains 'TraSwp5'
#include "lamp.in7"

#declare TraSwp5 = object {
  TraSwp5_Raw
  texture {
    Wing_2
    scale <3.170266, 3.702102, 509.192657>
    translate <-0.996219, -1.979713, -202.406738>
  }
  scale <1.225017, 1.225017, 0.001225>
  rotate <91.175293, -4.243426, 106.0>
  translate  <28.74317, 17.978257, 10.291498>
}
// Include contains 'TraSwp6'
#include "lamp.in8"

#declare TraSwp6 = object {
  TraSwp6_Raw
  texture {
    Wing_1
    scale <2.941831, 4.163229, -801.995178>
    translate <-1.446776, -2.391505, 596.753540>
  }
  scale <0.962162, 0.868777, 0.000769>
  rotate <90.222862, -6.292163, -111.300583>
  translate  <28.856496, 15.133534, 9.393586>
}
// Include contains 'TraSwp7'
#include "lamp.in9"

#declare TraSwp7 = object {
  TraSwp7_Raw
  texture {
    Wing_2
    scale <3.358537, 3.240497, -883.87677>
    translate <-1.186934, -1.956538, 438.778961>
  }
  scale <1.225017, 1.225017, 0.001225>
  rotate <91.175293, -4.243426, -111.0>
  translate  <28.6867, 14.456218, 10.220109>
}
#declare LtWing1 = union {
  object { TraSwp4 }
  object { TraSwp5 }
  object { TraSwp6 }
  object { TraSwp7 }
}
//
// Include file contains 'Body1'
//
#include "lamp.i10"
#declare Body1 = object {
  Body1_Raw
  texture {
    mothbody
  }
  scale <-1.103599, -0.981515, -1.060887>
  rotate <-179.230011, 2.106441, 117.516136>
  translate  <29.851175, 16.09567, 9.763137>
}
union { // moth1
  object { CSG4 }
  object { LtWing1 }
  object { Body1 }
  scale -0.1153
  rotate <154.356461, -0.0, -163.969666>
  translate  <-1.493231, -5.44136, 5.569207>
}


#declare CSG002 = merge {
  cone { // Cone3
    <0,0,0>, 0.0, <0,0,1>, 1.0
    scale <-0.061147, -0.065739, -1.142778>
    rotate <-23.789261, 6.989514, 169.987259>
    translate  <29.348148, 15.558538, 13.136918>
  }
  cone { // Cone002
    <0,0,0>, 0.0, <0,0,1>, 1.0
    scale <-0.061147, -0.065739, -1.142778>
    rotate <17.090683, 10.783942, -176.909622>
    translate  <29.346435, 16.858222, 13.133623>
  }
  texture {
    mothbody
  }
}
// Include contains 'TraSwp3'
#include "lamp.i11"

#declare TraSwp3 = object {
  TraSwp3_Raw
  texture {
    Wing_1
    scale <3.27157, 4.621257, 728.171204>
    translate <-1.542018, -2.630233, -487.805298>
  }
  scale <0.962162, 0.868777, 0.000769>
  rotate <89.823334, -6.307979, 106.736313>
  translate  <28.856496, 17.203813, 9.322197>
}
// Include contains 'TraSwp2'
#include "lamp.i12"

#declare TraSwp2 = object {
  TraSwp2_Raw
  texture {
    Wing_2
    scale <3.170266, 3.702102, 509.192657>
    translate <-0.996219, -1.979713, -202.406738>
  }
  scale <1.225017, 1.225017, 0.001225>
  rotate <91.175293, -4.243426, 106.0>
  translate  <28.74317, 17.978257, 10.291498>
}
// Include contains 'TraSwp002'
#include "lamp.i13"

#declare TraSwp002 = object {
  TraSwp002_Raw
  texture {
    Wing_1
    scale <2.941831, 4.163229, -801.995178>
    translate <-1.446776, -2.391505, 596.753540>
  }
  scale <0.962162, 0.868777, 0.000769>
  rotate <90.222862, -6.292163, -111.300583>
  translate  <28.856496, 15.133534, 9.393586>
}
// Include contains 'TraSwp001'
#include "lamp.i14"

#declare TraSwp001 = object {
  TraSwp001_Raw
  texture {
    Wing_2
    scale <3.358537, 3.240497, -883.87677>
    translate <-1.186934, -1.956538, 438.778961>
  }
  scale <1.225017, 1.225017, 0.001225>
  rotate <91.175293, -4.243426, -111.0>
  translate  <28.6867, 14.456218, 10.220109>
}
#declare LtWing = union {
  object { TraSwp3 }
  object { TraSwp2 }
  object { TraSwp002 }
  object { TraSwp001 }
}
//
// Include file contains 'Body'
//
#include "lamp.i15"
#declare Body = object {
  Body_Raw
  texture {
    mothbody
  }
  scale <-1.103599, -0.981515, -1.060887>
  rotate <-179.230011, 2.106441, 117.516136>
  translate  <29.851175, 16.09567, 9.763137>
}
union { // moth
  object { CSG002 }
  object { LtWing }
  object { Body }
  scale -0.1153
  rotate <-52.6297, 0.0, -180.0>
  translate  <-3.021175, -6.325651, 3.47804>
}










#declare RotSwp001 = lathe {
  quadratic_spline
  6  // control points
  <-0.068376, -2.096866>,
  <0.461538, -1.511396>,
  <0.874644, -0.354701>,
  <1.004131, 0.836254>,
  <0.758782, 1.7057>,
  <0.074074, 3.216863>
  rotate <90,0,90>
  texture {
    Fire_Map
    scale <0.444167, 0.437491, 0.059643>
    rotate <90.0, -0.0, 90.667801>
    translate <0.000000, -0.088781, -0.983124>
  }
  scale <0.10225, 0.10225, 0.282094>
  translate  <0.0, -0.005023, 2.982295>
}
union { // Flame
  object { RotSwp001 }
}




//
// Include file contains 'vent'
//
#include "lamp.i16"
#declare vent = object {
  vent_Raw
  texture {
    silver
  }
  hollow
  scale <0.609232, 0.609232, 0.405006>
  translate  1.779013*z
}
#declare CSG3 = merge {
  sphere { // Sphere18
    <0,0,0>,1
    texture {
      nothing
    }
    scale 0.05
    translate  <-3.987494, 3.403191, 5.214552>
  }
  sphere { // Sphere19
    <0,0,0>,1
    texture {
      nothing
    }
    scale 0.05
    translate  <-4.429248, 4.41434, 5.214552>
  }
  sphere { // Sphere20
    <0,0,0>,1
    texture {
      nothing
    }
    scale 0.05
    translate  <-3.584075, 3.597466, 5.214552>
  }
  sphere { // Sphere21
    <0,0,0>,1
    texture {
      nothing
    }
    scale 0.05
    translate  <-4.406166, 3.566675, 5.214552>
  }
  sphere { // Sphere22
    <0,0,0>,1
    texture {
      nothing
    }
    scale 0.05
    translate  <-3.562521, 4.420392, 5.214552>
  }
  sphere { // Sphere23
    <0,0,0>,1
    texture {
      nothing
    }
    scale 0.05
    translate  <-4.580757, 4.005354, 5.214552>
  }
  sphere { // Sphere24
    <0,0,0>,1
    texture {
      nothing
    }
    scale 0.05
    translate  <-3.400094, 3.992899, 5.214552>
  }
  sphere { // Sphere25
    <0,0,0>,1
    texture {
      nothing
    }
    scale 0.05
    translate  <-3.992691, 4.594565, 5.214552>
  }
  translate  <3.991546, -4.003346, -3.354894>
}
difference { // lower_vent
  object { vent }
  object { CSG3 }
  hollow
}


#declare BezPtch3 = union { 
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-2.460794, 9.202169, -1.044614>, <-2.460794, 9.205145, -2.398047>, <-1.353436, 9.207580, -3.505401>, <0.000000, 9.207580, -3.505401>, 
      <-2.460794, 5.795126, -1.245196>, <-2.460794, 5.798103, -2.598630>, <-1.353436, 5.800538, -3.705984>, <0.000000, 5.800538, -3.705984>, 
      <-2.460794, 0.600679, -0.502942>, <-2.460794, 0.375490, -1.837513>, <-1.353436, 0.191245, -2.929435>, <0.000000, 0.191245, -2.929435>, 
      <-2.460794, -1.264336, 0.074838>, <-2.460794, -1.635107, -1.217981>, <-1.353436, -1.938465, -2.275743>, <0.000000, -1.938465, -2.275743>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.000000, 9.207580, -3.505401>, <1.353436, 9.207580, -3.505401>, <2.460794, 9.205145, -2.398047>, <2.460794, 9.202169, -1.044614>, 
      <0.000000, 5.800538, -3.705984>, <1.353436, 5.800538, -3.705984>, <2.460794, 5.798103, -2.598630>, <2.460794, 5.795126, -1.245196>, 
      <0.000000, 0.191245, -2.929435>, <1.353436, 0.191245, -2.929435>, <2.460794, 0.375490, -1.837513>, <2.460794, 0.600679, -0.502942>, 
      <0.000000, -1.938465, -2.275743>, <1.353436, -1.938465, -2.275743>, <2.460794, -1.635107, -1.217981>, <2.460794, -1.264336, 0.074838>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <2.460794, 9.202169, -1.044614>, <2.460794, 9.199192, 0.308820>, <1.353436, 9.196757, 1.416174>, <0.000000, 9.196757, 1.416174>, 
      <2.460794, 5.795126, -1.245196>, <2.460794, 5.792150, 0.108237>, <1.353436, 5.789715, 1.215591>, <0.000000, 5.789715, 1.215591>, 
      <2.460794, 0.600679, -0.502942>, <2.460794, 0.825868, 0.831629>, <1.353436, 1.010113, 1.923551>, <0.000000, 1.010113, 1.923551>, 
      <2.460794, -1.264336, 0.074838>, <2.460794, -0.893565, 1.367657>, <1.353436, -0.590206, 2.425418>, <0.000000, -0.590206, 2.425418>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.000000, 9.196757, 1.416174>, <-1.353436, 9.196757, 1.416174>, <-2.460794, 9.199192, 0.308820>, <-2.460794, 9.202169, -1.044614>, 
      <0.000000, 5.789715, 1.215591>, <-1.353436, 5.789715, 1.215591>, <-2.460794, 5.792150, 0.108237>, <-2.460794, 5.795126, -1.245196>, 
      <0.000000, 1.010113, 1.923551>, <-1.353436, 1.010113, 1.923551>, <-2.460794, 0.825868, 0.831629>, <-2.460794, 0.600679, -0.502942>, 
      <0.000000, -0.590206, 2.425418>, <-1.353436, -0.590206, 2.425418>, <-2.460794, -0.893565, 1.367657>, <-2.460794, -1.264336, 0.074838>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-2.460794, -1.264336, 0.074838>, <-2.460794, -1.635107, -1.217981>, <-1.353436, -1.938465, -2.275743>, <0.000000, -1.938465, -2.275743>, 
      <-2.460794, -3.129351, 0.652618>, <-2.460794, -3.645705, -0.598450>, <-1.353436, -4.068176, -1.622050>, <0.000000, -4.068176, -1.622050>, 
      <-2.460794, -6.150449, 2.477092>, <-2.460794, -7.269092, 1.715233>, <-1.353436, -8.184345, 1.091895>, <0.000000, -8.184345, 1.091895>, 
      <-2.460794, -7.324165, 5.672632>, <-2.460794, -8.558576, 5.338630>, <-1.353436, -9.568548, 5.065356>, <0.000000, -9.568548, 5.065356>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.000000, -1.938465, -2.275743>, <1.353436, -1.938465, -2.275743>, <2.460794, -1.635107, -1.217981>, <2.460794, -1.264336, 0.074838>, 
      <0.000000, -4.068176, -1.622050>, <1.353436, -4.068176, -1.622050>, <2.460794, -3.645705, -0.598450>, <2.460794, -3.129351, 0.652618>, 
      <0.000000, -8.184345, 1.091895>, <1.353436, -8.184345, 1.091895>, <2.460794, -7.269092, 1.715233>, <2.460794, -6.150449, 2.477092>, 
      <0.000000, -9.568548, 5.065356>, <1.353436, -9.568548, 5.065356>, <2.460794, -8.558576, 5.338630>, <2.460794, -7.324165, 5.672632>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <2.460794, -1.264336, 0.074838>, <2.460794, -0.893565, 1.367657>, <1.353436, -0.590206, 2.425418>, <0.000000, -0.590206, 2.425418>, 
      <2.460794, -3.129351, 0.652618>, <2.460794, -2.612997, 1.903685>, <1.353436, -2.190526, 2.927285>, <0.000000, -2.190526, 2.927285>, 
      <2.460794, -6.150449, 2.477092>, <2.460794, -5.031806, 3.238950>, <1.353436, -4.116553, 3.862289>, <0.000000, -4.116553, 3.862289>, 
      <2.460794, -7.324165, 5.672632>, <2.460794, -6.089755, 6.006635>, <1.353436, -5.079782, 6.279909>, <0.000000, -5.079782, 6.279909>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.000000, -0.590206, 2.425418>, <-1.353436, -0.590206, 2.425418>, <-2.460794, -0.893565, 1.367657>, <-2.460794, -1.264336, 0.074838>, 
      <0.000000, -2.190526, 2.927285>, <-1.353436, -2.190526, 2.927285>, <-2.460794, -2.612997, 1.903685>, <-2.460794, -3.129351, 0.652618>, 
      <0.000000, -4.116553, 3.862289>, <-1.353436, -4.116553, 3.862289>, <-2.460794, -5.031806, 3.238950>, <-2.460794, -6.150449, 2.477092>, 
      <0.000000, -5.079782, 6.279909>, <-1.353436, -5.079782, 6.279909>, <-2.460794, -6.089755, 6.006635>, <-2.460794, -7.324165, 5.672632>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-2.460794, -7.324165, 5.672632>, <-2.460794, -8.558576, 5.338630>, <-1.353436, -9.568548, 5.065356>, <0.000000, -9.568548, 5.065356>, 
      <-2.460794, -8.497882, 8.868173>, <-2.460794, -9.848060, 8.962027>, <-1.353436, -10.952752, 9.038817>, <0.000000, -10.952752, 9.038817>, 
      <-2.460794, -7.950847, 13.195683>, <-2.460794, -9.301025, 13.289537>, <-1.353436, -10.405717, 13.366327>, <0.000000, -10.405717, 13.366327>, 
      <-2.460794, -7.865525, 14.423118>, <-2.460794, -9.215703, 14.516972>, <-1.353436, -10.320395, 14.593761>, <0.000000, -10.320395, 14.593761>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.000000, -9.568548, 5.065356>, <1.353436, -9.568548, 5.065356>, <2.460794, -8.558576, 5.338630>, <2.460794, -7.324165, 5.672632>, 
      <0.000000, -10.952752, 9.038817>, <1.353436, -10.952752, 9.038817>, <2.460794, -9.848060, 8.962027>, <2.460794, -8.497882, 8.868173>, 
      <0.000000, -10.405717, 13.366327>, <1.353436, -10.405717, 13.366327>, <2.460794, -9.301025, 13.289537>, <2.460794, -7.950847, 13.195683>, 
      <0.000000, -10.320395, 14.593761>, <1.353436, -10.320395, 14.593761>, <2.460794, -9.215703, 14.516972>, <2.460794, -7.865525, 14.423118>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <2.460794, -7.324165, 5.672632>, <2.460794, -6.089755, 6.006635>, <1.353436, -5.079782, 6.279909>, <0.000000, -5.079782, 6.279909>, 
      <2.460794, -8.497882, 8.868173>, <2.460794, -7.147704, 8.774319>, <1.353436, -6.043012, 8.697529>, <0.000000, -6.043012, 8.697529>, 
      <2.460794, -7.950847, 13.195683>, <2.460794, -6.600668, 13.101829>, <1.353436, -5.495977, 13.025039>, <0.000000, -5.495977, 13.025039>, 
      <2.460794, -7.865525, 14.423118>, <2.460794, -6.515346, 14.329263>, <1.353436, -5.410655, 14.252474>, <0.000000, -5.410655, 14.252474>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.000000, -5.079782, 6.279909>, <-1.353436, -5.079782, 6.279909>, <-2.460794, -6.089755, 6.006635>, <-2.460794, -7.324165, 5.672632>, 
      <0.000000, -6.043012, 8.697529>, <-1.353436, -6.043012, 8.697529>, <-2.460794, -7.147704, 8.774319>, <-2.460794, -8.497882, 8.868173>, 
      <0.000000, -5.495977, 13.025039>, <-1.353436, -5.495977, 13.025039>, <-2.460794, -6.600668, 13.101829>, <-2.460794, -7.950847, 13.195683>, 
      <0.000000, -5.410655, 14.252474>, <-1.353436, -5.410655, 14.252474>, <-2.460794, -6.515346, 14.329263>, <-2.460794, -7.865525, 14.423118>
    }
  }
  scale 0.045
  translate  <0.0, -1.35, 1.28>
}
#declare BezPtch6 = union { 
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-2.460794, 9.202169, -1.044614>, <-2.460794, 9.205145, -2.398047>, <-1.353436, 9.207580, -3.505401>, <0.000000, 9.207580, -3.505401>, 
      <-2.460794, 5.795126, -1.245196>, <-2.460794, 5.798103, -2.598630>, <-1.353436, 5.800538, -3.705984>, <0.000000, 5.800538, -3.705984>, 
      <-2.460794, 0.600679, -0.502942>, <-2.460794, 0.375490, -1.837513>, <-1.353436, 0.191245, -2.929435>, <0.000000, 0.191245, -2.929435>, 
      <-2.460794, -1.264336, 0.074838>, <-2.460794, -1.635107, -1.217981>, <-1.353436, -1.938465, -2.275743>, <0.000000, -1.938465, -2.275743>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.000000, 9.207580, -3.505401>, <1.353436, 9.207580, -3.505401>, <2.460794, 9.205145, -2.398047>, <2.460794, 9.202169, -1.044614>, 
      <0.000000, 5.800538, -3.705984>, <1.353436, 5.800538, -3.705984>, <2.460794, 5.798103, -2.598630>, <2.460794, 5.795126, -1.245196>, 
      <0.000000, 0.191245, -2.929435>, <1.353436, 0.191245, -2.929435>, <2.460794, 0.375490, -1.837513>, <2.460794, 0.600679, -0.502942>, 
      <0.000000, -1.938465, -2.275743>, <1.353436, -1.938465, -2.275743>, <2.460794, -1.635107, -1.217981>, <2.460794, -1.264336, 0.074838>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <2.460794, 9.202169, -1.044614>, <2.460794, 9.199192, 0.308820>, <1.353436, 9.196757, 1.416174>, <0.000000, 9.196757, 1.416174>, 
      <2.460794, 5.795126, -1.245196>, <2.460794, 5.792150, 0.108237>, <1.353436, 5.789715, 1.215591>, <0.000000, 5.789715, 1.215591>, 
      <2.460794, 0.600679, -0.502942>, <2.460794, 0.825868, 0.831629>, <1.353436, 1.010113, 1.923551>, <0.000000, 1.010113, 1.923551>, 
      <2.460794, -1.264336, 0.074838>, <2.460794, -0.893565, 1.367657>, <1.353436, -0.590206, 2.425418>, <0.000000, -0.590206, 2.425418>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.000000, 9.196757, 1.416174>, <-1.353436, 9.196757, 1.416174>, <-2.460794, 9.199192, 0.308820>, <-2.460794, 9.202169, -1.044614>, 
      <0.000000, 5.789715, 1.215591>, <-1.353436, 5.789715, 1.215591>, <-2.460794, 5.792150, 0.108237>, <-2.460794, 5.795126, -1.245196>, 
      <0.000000, 1.010113, 1.923551>, <-1.353436, 1.010113, 1.923551>, <-2.460794, 0.825868, 0.831629>, <-2.460794, 0.600679, -0.502942>, 
      <0.000000, -0.590206, 2.425418>, <-1.353436, -0.590206, 2.425418>, <-2.460794, -0.893565, 1.367657>, <-2.460794, -1.264336, 0.074838>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-2.460794, -1.264336, 0.074838>, <-2.460794, -1.635107, -1.217981>, <-1.353436, -1.938465, -2.275743>, <0.000000, -1.938465, -2.275743>, 
      <-2.460794, -3.129351, 0.652618>, <-2.460794, -3.645705, -0.598450>, <-1.353436, -4.068176, -1.622050>, <0.000000, -4.068176, -1.622050>, 
      <-2.460794, -6.150449, 2.477092>, <-2.460794, -7.269092, 1.715233>, <-1.353436, -8.184345, 1.091895>, <0.000000, -8.184345, 1.091895>, 
      <-2.460794, -7.212273, 5.556540>, <-2.460794, -8.430937, 5.108723>, <-1.353436, -9.439478, 4.741796>, <0.000000, -9.454469, 4.751492>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.000000, -1.938465, -2.275743>, <1.353436, -1.938465, -2.275743>, <2.460794, -1.635107, -1.217981>, <2.460794, -1.264336, 0.074838>, 
      <0.000000, -4.068176, -1.622050>, <1.353436, -4.068176, -1.622050>, <2.460794, -3.645705, -0.598450>, <2.460794, -3.129351, 0.652618>, 
      <0.000000, -8.184345, 1.091895>, <1.353436, -8.184345, 1.091895>, <2.460794, -7.269092, 1.715233>, <2.460794, -6.150449, 2.477092>, 
      <0.000000, -9.454469, 4.751492>, <1.353436, -9.439478, 4.741796>, <2.460794, -8.430937, 5.108723>, <2.460794, -7.212273, 5.556540>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <2.460794, -1.264336, 0.074838>, <2.460794, -0.893565, 1.367657>, <1.353436, -0.590206, 2.425418>, <0.000000, -0.590206, 2.425418>, 
      <2.460794, -3.129351, 0.652618>, <2.460794, -2.612997, 1.903685>, <1.353436, -2.190526, 2.927285>, <0.000000, -2.190526, 2.927285>, 
      <2.460794, -6.150449, 2.477092>, <2.460794, -5.031806, 3.238950>, <1.353436, -4.116553, 3.862289>, <0.000000, -4.116553, 3.862289>, 
      <2.460794, -7.212273, 5.556540>, <2.460794, -5.965614, 6.005656>, <1.353436, -4.957073, 6.372583>, <0.000000, -4.970077, 6.361587>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.000000, -0.590206, 2.425418>, <-1.353436, -0.590206, 2.425418>, <-2.460794, -0.893565, 1.367657>, <-2.460794, -1.264336, 0.074838>, 
      <0.000000, -2.190526, 2.927285>, <-1.353436, -2.190526, 2.927285>, <-2.460794, -2.612997, 1.903685>, <-2.460794, -3.129351, 0.652618>, 
      <0.000000, -4.116553, 3.862289>, <-1.353436, -4.116553, 3.862289>, <-2.460794, -5.031806, 3.238950>, <-2.460794, -6.150449, 2.477092>, 
      <0.000000, -4.970077, 6.361587>, <-1.353436, -4.957073, 6.372583>, <-2.460794, -5.965614, 6.005656>, <-2.460794, -7.212273, 5.556540>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-2.460794, -7.212273, 5.556540>, <-2.460794, -8.430937, 5.108723>, <-1.353436, -9.439478, 4.741796>, <0.000000, -9.454469, 4.751492>, 
      <-2.460794, -8.246102, 8.637287>, <-2.460794, -9.592782, 8.502212>, <-1.353436, -10.694610, 8.391696>, <0.000000, -10.694610, 8.391696>, 
      <-2.460794, -8.436339, 12.995084>, <-2.460794, -9.783018, 12.860009>, <-1.353436, -10.884847, 12.749494>, <0.000000, -10.884847, 12.749494>, 
      <-2.460794, -8.559134, 14.219338>, <-2.460794, -9.905813, 14.084263>, <-1.353436, -11.007642, 13.973748>, <0.000000, -11.007642, 13.973748>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.000000, -9.454469, 4.751492>, <1.353436, -9.439478, 4.741796>, <2.460794, -8.430937, 5.108723>, <2.460794, -7.212273, 5.556540>, 
      <0.000000, -10.694610, 8.391696>, <1.353436, -10.694610, 8.391696>, <2.460794, -9.592782, 8.502212>, <2.460794, -8.246102, 8.637287>, 
      <0.000000, -10.884847, 12.749494>, <1.353436, -10.884847, 12.749494>, <2.460794, -9.783018, 12.860009>, <2.460794, -8.436339, 12.995084>, 
      <0.000000, -11.007642, 13.973748>, <1.353436, -11.007642, 13.973748>, <2.460794, -9.905813, 14.084263>, <2.460794, -8.559134, 14.219338>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <2.460794, -7.212273, 5.556540>, <2.460794, -5.965614, 6.005656>, <1.353436, -4.957073, 6.372583>, <0.000000, -4.970077, 6.361587>, 
      <2.460794, -8.246102, 8.637287>, <2.460794, -6.899423, 8.772361>, <1.353436, -5.797594, 8.882877>, <0.000000, -5.797594, 8.882877>, 
      <2.460794, -8.436339, 12.995084>, <2.460794, -7.089659, 13.130159>, <1.353436, -5.987831, 13.240674>, <0.000000, -5.987831, 13.240674>, 
      <2.460794, -8.559134, 14.219338>, <2.460794, -7.212455, 14.354413>, <1.353436, -6.110626, 14.464928>, <0.000000, -6.110626, 14.464928>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.000000, -4.970077, 6.361587>, <-1.353436, -4.957073, 6.372583>, <-2.460794, -5.965614, 6.005656>, <-2.460794, -7.212273, 5.556540>, 
      <0.000000, -5.797594, 8.882877>, <-1.353436, -5.797594, 8.882877>, <-2.460794, -6.899423, 8.772361>, <-2.460794, -8.246102, 8.637287>, 
      <0.000000, -5.987831, 13.240674>, <-1.353436, -5.987831, 13.240674>, <-2.460794, -7.089659, 13.130159>, <-2.460794, -8.436339, 12.995084>, 
      <0.000000, -6.110626, 14.464928>, <-1.353436, -6.110626, 14.464928>, <-2.460794, -7.212455, 14.354413>, <-2.460794, -8.559134, 14.219338>
    }
  }
  scale 0.045
  rotate -180.0*y
  translate  <0.0, -1.027149, 5.711661>
}
#declare BezPtch002 = union { 
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-2.460794, 9.202169, -1.044614>, <-2.460794, 9.205145, -2.398047>, <-1.353436, 9.207580, -3.505401>, <0.000000, 9.207580, -3.505401>, 
      <-2.460794, 5.795126, -1.245196>, <-2.460794, 5.798103, -2.598630>, <-1.353436, 5.800538, -3.705984>, <0.000000, 5.800538, -3.705984>, 
      <-2.460794, 0.600679, -0.502942>, <-2.460794, 0.375490, -1.837513>, <-1.353436, 0.191245, -2.929435>, <0.000000, 0.191245, -2.929435>, 
      <-2.460794, -1.264336, 0.074838>, <-2.460794, -1.635107, -1.217981>, <-1.353436, -1.938465, -2.275743>, <0.000000, -1.938465, -2.275743>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.000000, 9.207580, -3.505401>, <1.353436, 9.207580, -3.505401>, <2.460794, 9.205145, -2.398047>, <2.460794, 9.202169, -1.044614>, 
      <0.000000, 5.800538, -3.705984>, <1.353436, 5.800538, -3.705984>, <2.460794, 5.798103, -2.598630>, <2.460794, 5.795126, -1.245196>, 
      <0.000000, 0.191245, -2.929435>, <1.353436, 0.191245, -2.929435>, <2.460794, 0.375490, -1.837513>, <2.460794, 0.600679, -0.502942>, 
      <0.000000, -1.938465, -2.275743>, <1.353436, -1.938465, -2.275743>, <2.460794, -1.635107, -1.217981>, <2.460794, -1.264336, 0.074838>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <2.460794, 9.202169, -1.044614>, <2.460794, 9.199192, 0.308820>, <1.353436, 9.196757, 1.416174>, <0.000000, 9.196757, 1.416174>, 
      <2.460794, 5.795126, -1.245196>, <2.460794, 5.792150, 0.108237>, <1.353436, 5.789715, 1.215591>, <0.000000, 5.789715, 1.215591>, 
      <2.460794, 0.600679, -0.502942>, <2.460794, 0.825868, 0.831629>, <1.353436, 1.010113, 1.923551>, <0.000000, 1.010113, 1.923551>, 
      <2.460794, -1.264336, 0.074838>, <2.460794, -0.893565, 1.367657>, <1.353436, -0.590206, 2.425418>, <0.000000, -0.590206, 2.425418>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.000000, 9.196757, 1.416174>, <-1.353436, 9.196757, 1.416174>, <-2.460794, 9.199192, 0.308820>, <-2.460794, 9.202169, -1.044614>, 
      <0.000000, 5.789715, 1.215591>, <-1.353436, 5.789715, 1.215591>, <-2.460794, 5.792150, 0.108237>, <-2.460794, 5.795126, -1.245196>, 
      <0.000000, 1.010113, 1.923551>, <-1.353436, 1.010113, 1.923551>, <-2.460794, 0.825868, 0.831629>, <-2.460794, 0.600679, -0.502942>, 
      <0.000000, -0.590206, 2.425418>, <-1.353436, -0.590206, 2.425418>, <-2.460794, -0.893565, 1.367657>, <-2.460794, -1.264336, 0.074838>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-2.460794, -1.264336, 0.074838>, <-2.460794, -1.635107, -1.217981>, <-1.353436, -1.938465, -2.275743>, <0.000000, -1.938465, -2.275743>, 
      <-2.460794, -3.129351, 0.652618>, <-2.460794, -3.645705, -0.598450>, <-1.353436, -4.068176, -1.622050>, <0.000000, -4.068176, -1.622050>, 
      <-2.460794, -6.150449, 2.477092>, <-2.460794, -7.269092, 1.715233>, <-1.353436, -8.184345, 1.091895>, <0.000000, -8.184345, 1.091895>, 
      <-2.460794, -7.324165, 5.672632>, <-2.460794, -8.558576, 5.338630>, <-1.353436, -9.568548, 5.065356>, <0.000000, -9.568548, 5.065356>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.000000, -1.938465, -2.275743>, <1.353436, -1.938465, -2.275743>, <2.460794, -1.635107, -1.217981>, <2.460794, -1.264336, 0.074838>, 
      <0.000000, -4.068176, -1.622050>, <1.353436, -4.068176, -1.622050>, <2.460794, -3.645705, -0.598450>, <2.460794, -3.129351, 0.652618>, 
      <0.000000, -8.184345, 1.091895>, <1.353436, -8.184345, 1.091895>, <2.460794, -7.269092, 1.715233>, <2.460794, -6.150449, 2.477092>, 
      <0.000000, -9.568548, 5.065356>, <1.353436, -9.568548, 5.065356>, <2.460794, -8.558576, 5.338630>, <2.460794, -7.324165, 5.672632>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <2.460794, -1.264336, 0.074838>, <2.460794, -0.893565, 1.367657>, <1.353436, -0.590206, 2.425418>, <0.000000, -0.590206, 2.425418>, 
      <2.460794, -3.129351, 0.652618>, <2.460794, -2.612997, 1.903685>, <1.353436, -2.190526, 2.927285>, <0.000000, -2.190526, 2.927285>, 
      <2.460794, -6.150449, 2.477092>, <2.460794, -5.031806, 3.238950>, <1.353436, -4.116553, 3.862289>, <0.000000, -4.116553, 3.862289>, 
      <2.460794, -7.324165, 5.672632>, <2.460794, -6.089755, 6.006635>, <1.353436, -5.079782, 6.279909>, <0.000000, -5.079782, 6.279909>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.000000, -0.590206, 2.425418>, <-1.353436, -0.590206, 2.425418>, <-2.460794, -0.893565, 1.367657>, <-2.460794, -1.264336, 0.074838>, 
      <0.000000, -2.190526, 2.927285>, <-1.353436, -2.190526, 2.927285>, <-2.460794, -2.612997, 1.903685>, <-2.460794, -3.129351, 0.652618>, 
      <0.000000, -4.116553, 3.862289>, <-1.353436, -4.116553, 3.862289>, <-2.460794, -5.031806, 3.238950>, <-2.460794, -6.150449, 2.477092>, 
      <0.000000, -5.079782, 6.279909>, <-1.353436, -5.079782, 6.279909>, <-2.460794, -6.089755, 6.006635>, <-2.460794, -7.324165, 5.672632>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-2.460794, -7.324165, 5.672632>, <-2.460794, -8.558576, 5.338630>, <-1.353436, -9.568548, 5.065356>, <0.000000, -9.568548, 5.065356>, 
      <-2.460794, -8.497882, 8.868173>, <-2.460794, -9.848060, 8.962027>, <-1.353436, -10.952752, 9.038817>, <0.000000, -10.952752, 9.038817>, 
      <-2.460794, -7.950847, 13.195683>, <-2.460794, -9.301025, 13.289537>, <-1.353436, -10.405717, 13.366327>, <0.000000, -10.405717, 13.366327>, 
      <-2.460794, -7.865525, 14.423118>, <-2.460794, -9.215703, 14.516972>, <-1.353436, -10.320395, 14.593761>, <0.000000, -10.320395, 14.593761>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.000000, -9.568548, 5.065356>, <1.353436, -9.568548, 5.065356>, <2.460794, -8.558576, 5.338630>, <2.460794, -7.324165, 5.672632>, 
      <0.000000, -10.952752, 9.038817>, <1.353436, -10.952752, 9.038817>, <2.460794, -9.848060, 8.962027>, <2.460794, -8.497882, 8.868173>, 
      <0.000000, -10.405717, 13.366327>, <1.353436, -10.405717, 13.366327>, <2.460794, -9.301025, 13.289537>, <2.460794, -7.950847, 13.195683>, 
      <0.000000, -10.320395, 14.593761>, <1.353436, -10.320395, 14.593761>, <2.460794, -9.215703, 14.516972>, <2.460794, -7.865525, 14.423118>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <2.460794, -7.324165, 5.672632>, <2.460794, -6.089755, 6.006635>, <1.353436, -5.079782, 6.279909>, <0.000000, -5.079782, 6.279909>, 
      <2.460794, -8.497882, 8.868173>, <2.460794, -7.147704, 8.774319>, <1.353436, -6.043012, 8.697529>, <0.000000, -6.043012, 8.697529>, 
      <2.460794, -7.950847, 13.195683>, <2.460794, -6.600668, 13.101829>, <1.353436, -5.495977, 13.025039>, <0.000000, -5.495977, 13.025039>, 
      <2.460794, -7.865525, 14.423118>, <2.460794, -6.515346, 14.329263>, <1.353436, -5.410655, 14.252474>, <0.000000, -5.410655, 14.252474>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.000000, -5.079782, 6.279909>, <-1.353436, -5.079782, 6.279909>, <-2.460794, -6.089755, 6.006635>, <-2.460794, -7.324165, 5.672632>, 
      <0.000000, -6.043012, 8.697529>, <-1.353436, -6.043012, 8.697529>, <-2.460794, -7.147704, 8.774319>, <-2.460794, -8.497882, 8.868173>, 
      <0.000000, -5.495977, 13.025039>, <-1.353436, -5.495977, 13.025039>, <-2.460794, -6.600668, 13.101829>, <-2.460794, -7.950847, 13.195683>, 
      <0.000000, -5.410655, 14.252474>, <-1.353436, -5.410655, 14.252474>, <-2.460794, -6.515346, 14.329263>, <-2.460794, -7.865525, 14.423118>
    }
  }
  scale 0.045
  translate  <0.0, -1.35, 1.28>
}
#declare BezPtch5 = union { 
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-2.460794, 9.202169, -1.044614>, <-2.460794, 9.205145, -2.398047>, <-1.353436, 9.207580, -3.505401>, <0.000000, 9.207580, -3.505401>, 
      <-2.460794, 5.795126, -1.245196>, <-2.460794, 5.798103, -2.598630>, <-1.353436, 5.800538, -3.705984>, <0.000000, 5.800538, -3.705984>, 
      <-2.460794, 0.600679, -0.502942>, <-2.460794, 0.375490, -1.837513>, <-1.353436, 0.191245, -2.929435>, <0.000000, 0.191245, -2.929435>, 
      <-2.460794, -1.264336, 0.074838>, <-2.460794, -1.635107, -1.217981>, <-1.353436, -1.938465, -2.275743>, <0.000000, -1.938465, -2.275743>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.000000, 9.207580, -3.505401>, <1.353436, 9.207580, -3.505401>, <2.460794, 9.205145, -2.398047>, <2.460794, 9.202169, -1.044614>, 
      <0.000000, 5.800538, -3.705984>, <1.353436, 5.800538, -3.705984>, <2.460794, 5.798103, -2.598630>, <2.460794, 5.795126, -1.245196>, 
      <0.000000, 0.191245, -2.929435>, <1.353436, 0.191245, -2.929435>, <2.460794, 0.375490, -1.837513>, <2.460794, 0.600679, -0.502942>, 
      <0.000000, -1.938465, -2.275743>, <1.353436, -1.938465, -2.275743>, <2.460794, -1.635107, -1.217981>, <2.460794, -1.264336, 0.074838>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <2.460794, 9.202169, -1.044614>, <2.460794, 9.199192, 0.308820>, <1.353436, 9.196757, 1.416174>, <0.000000, 9.196757, 1.416174>, 
      <2.460794, 5.795126, -1.245196>, <2.460794, 5.792150, 0.108237>, <1.353436, 5.789715, 1.215591>, <0.000000, 5.789715, 1.215591>, 
      <2.460794, 0.600679, -0.502942>, <2.460794, 0.825868, 0.831629>, <1.353436, 1.010113, 1.923551>, <0.000000, 1.010113, 1.923551>, 
      <2.460794, -1.264336, 0.074838>, <2.460794, -0.893565, 1.367657>, <1.353436, -0.590206, 2.425418>, <0.000000, -0.590206, 2.425418>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.000000, 9.196757, 1.416174>, <-1.353436, 9.196757, 1.416174>, <-2.460794, 9.199192, 0.308820>, <-2.460794, 9.202169, -1.044614>, 
      <0.000000, 5.789715, 1.215591>, <-1.353436, 5.789715, 1.215591>, <-2.460794, 5.792150, 0.108237>, <-2.460794, 5.795126, -1.245196>, 
      <0.000000, 1.010113, 1.923551>, <-1.353436, 1.010113, 1.923551>, <-2.460794, 0.825868, 0.831629>, <-2.460794, 0.600679, -0.502942>, 
      <0.000000, -0.590206, 2.425418>, <-1.353436, -0.590206, 2.425418>, <-2.460794, -0.893565, 1.367657>, <-2.460794, -1.264336, 0.074838>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-2.460794, -1.264336, 0.074838>, <-2.460794, -1.635107, -1.217981>, <-1.353436, -1.938465, -2.275743>, <0.000000, -1.938465, -2.275743>, 
      <-2.460794, -3.129351, 0.652618>, <-2.460794, -3.645705, -0.598450>, <-1.353436, -4.068176, -1.622050>, <0.000000, -4.068176, -1.622050>, 
      <-2.460794, -6.150449, 2.477092>, <-2.460794, -7.269092, 1.715233>, <-1.353436, -8.184345, 1.091895>, <0.000000, -8.184345, 1.091895>, 
      <-2.460794, -7.212273, 5.556540>, <-2.460794, -8.430937, 5.108723>, <-1.353436, -9.439478, 4.741796>, <0.000000, -9.454469, 4.751492>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.000000, -1.938465, -2.275743>, <1.353436, -1.938465, -2.275743>, <2.460794, -1.635107, -1.217981>, <2.460794, -1.264336, 0.074838>, 
      <0.000000, -4.068176, -1.622050>, <1.353436, -4.068176, -1.622050>, <2.460794, -3.645705, -0.598450>, <2.460794, -3.129351, 0.652618>, 
      <0.000000, -8.184345, 1.091895>, <1.353436, -8.184345, 1.091895>, <2.460794, -7.269092, 1.715233>, <2.460794, -6.150449, 2.477092>, 
      <0.000000, -9.454469, 4.751492>, <1.353436, -9.439478, 4.741796>, <2.460794, -8.430937, 5.108723>, <2.460794, -7.212273, 5.556540>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <2.460794, -1.264336, 0.074838>, <2.460794, -0.893565, 1.367657>, <1.353436, -0.590206, 2.425418>, <0.000000, -0.590206, 2.425418>, 
      <2.460794, -3.129351, 0.652618>, <2.460794, -2.612997, 1.903685>, <1.353436, -2.190526, 2.927285>, <0.000000, -2.190526, 2.927285>, 
      <2.460794, -6.150449, 2.477092>, <2.460794, -5.031806, 3.238950>, <1.353436, -4.116553, 3.862289>, <0.000000, -4.116553, 3.862289>, 
      <2.460794, -7.212273, 5.556540>, <2.460794, -5.965614, 6.005656>, <1.353436, -4.957073, 6.372583>, <0.000000, -4.970077, 6.361587>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.000000, -0.590206, 2.425418>, <-1.353436, -0.590206, 2.425418>, <-2.460794, -0.893565, 1.367657>, <-2.460794, -1.264336, 0.074838>, 
      <0.000000, -2.190526, 2.927285>, <-1.353436, -2.190526, 2.927285>, <-2.460794, -2.612997, 1.903685>, <-2.460794, -3.129351, 0.652618>, 
      <0.000000, -4.116553, 3.862289>, <-1.353436, -4.116553, 3.862289>, <-2.460794, -5.031806, 3.238950>, <-2.460794, -6.150449, 2.477092>, 
      <0.000000, -4.970077, 6.361587>, <-1.353436, -4.957073, 6.372583>, <-2.460794, -5.965614, 6.005656>, <-2.460794, -7.212273, 5.556540>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-2.460794, -7.212273, 5.556540>, <-2.460794, -8.430937, 5.108723>, <-1.353436, -9.439478, 4.741796>, <0.000000, -9.454469, 4.751492>, 
      <-2.460794, -8.246102, 8.637287>, <-2.460794, -9.592782, 8.502212>, <-1.353436, -10.694610, 8.391696>, <0.000000, -10.694610, 8.391696>, 
      <-2.460794, -8.436339, 12.995084>, <-2.460794, -9.783018, 12.860009>, <-1.353436, -10.884847, 12.749494>, <0.000000, -10.884847, 12.749494>, 
      <-2.460794, -8.559134, 14.219338>, <-2.460794, -9.905813, 14.084263>, <-1.353436, -11.007642, 13.973748>, <0.000000, -11.007642, 13.973748>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.000000, -9.454469, 4.751492>, <1.353436, -9.439478, 4.741796>, <2.460794, -8.430937, 5.108723>, <2.460794, -7.212273, 5.556540>, 
      <0.000000, -10.694610, 8.391696>, <1.353436, -10.694610, 8.391696>, <2.460794, -9.592782, 8.502212>, <2.460794, -8.246102, 8.637287>, 
      <0.000000, -10.884847, 12.749494>, <1.353436, -10.884847, 12.749494>, <2.460794, -9.783018, 12.860009>, <2.460794, -8.436339, 12.995084>, 
      <0.000000, -11.007642, 13.973748>, <1.353436, -11.007642, 13.973748>, <2.460794, -9.905813, 14.084263>, <2.460794, -8.559134, 14.219338>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <2.460794, -7.212273, 5.556540>, <2.460794, -5.965614, 6.005656>, <1.353436, -4.957073, 6.372583>, <0.000000, -4.970077, 6.361587>, 
      <2.460794, -8.246102, 8.637287>, <2.460794, -6.899423, 8.772361>, <1.353436, -5.797594, 8.882877>, <0.000000, -5.797594, 8.882877>, 
      <2.460794, -8.436339, 12.995084>, <2.460794, -7.089659, 13.130159>, <1.353436, -5.987831, 13.240674>, <0.000000, -5.987831, 13.240674>, 
      <2.460794, -8.559134, 14.219338>, <2.460794, -7.212455, 14.354413>, <1.353436, -6.110626, 14.464928>, <0.000000, -6.110626, 14.464928>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.000000, -4.970077, 6.361587>, <-1.353436, -4.957073, 6.372583>, <-2.460794, -5.965614, 6.005656>, <-2.460794, -7.212273, 5.556540>, 
      <0.000000, -5.797594, 8.882877>, <-1.353436, -5.797594, 8.882877>, <-2.460794, -6.899423, 8.772361>, <-2.460794, -8.246102, 8.637287>, 
      <0.000000, -5.987831, 13.240674>, <-1.353436, -5.987831, 13.240674>, <-2.460794, -7.089659, 13.130159>, <-2.460794, -8.436339, 12.995084>, 
      <0.000000, -6.110626, 14.464928>, <-1.353436, -6.110626, 14.464928>, <-2.460794, -7.212455, 14.354413>, <-2.460794, -8.559134, 14.219338>
    }
  }
  scale 0.045
  rotate -180.0*y
  translate  <0.0, -1.027149, 5.711661>
}
#declare lifts = union {
  object { BezPtch002 }
  object { BezPtch5 }
  cylinder { // Cylndr003
    <0,0,1>, <0,0,0>, 1 
    scale <0.11076, 0.11076, 3.27>
    rotate -5.301397*x
    translate  <0.0, -1.704845, 1.920078>
  }
  rotate -180.0*z
}
#declare RotSwp003 = lathe {
  linear_spline
  5  // control points
  <1.997151, 0.111111>,
  <1.94302, 0.283476>,
  <1.74359, 0.30057>,
  <1.677208, 0.467664>,
  <1.05698, 0.501425>
  rotate <90,0,90>
  scale <0.56892, 0.568925, 0.361342>
  translate  5.220422*z
}
//
// Include file contains 'RotSwp002'
//
#include "lamp.i17"
#declare RotSwp002 = object {
  RotSwp002_Raw
  hollow
  scale 0.38484
  translate  <0.0, 0.019556, 4.725727>
}
#declare top_brass = union {
  cone { // Cone001
    <0,0,0>, 0.0, <0,0,1>, 1.0
    hollow
    scale <1.0, 1.0, 0.3>
    rotate <180.0, 0.0, 180.0>
    translate  6.563734*z
  }
  cylinder { // Cylndr002
    <0,0,1>, <0,0,0>, 1 open
    hollow
    scale <0.593068, 0.658499, 0.560723>
    translate  5.384325*z
  }
  object { RotSwp003 }
  object { RotSwp002 }
  torus { // Torus001
    1.875, 0.125  rotate -x*90
    scale <0.15817, 0.20354, 0.123697>
    rotate <-142.667679, 2.241074, 97.432594>
    translate  <-0.176414, -0.0, 6.674406>
  }
  rotate -180.0*z
}
//
// Include file contains 'RotSwp3'
//
#include "lamp.i18"
#declare RotSwp3 = object {
  RotSwp3_Raw
  scale 0.38484
  rotate <180.0, 0.0, 0.0>
  translate  <-0.0, 0.020869, 2.271023>
}
//
// Include file contains 'base'
//
#include "lamp.i19"
#declare base = object {
  base_Raw
  rotate -180.0*z
  translate  -0.107842*z
}
#declare RotSwp004 = lathe {
  linear_spline
  4  // control points
  <2.438746, -1.02849>,
  <2.0, -0.5>,
  <2.0, 0.172365>,
  <1.0, 0.216524>
  rotate <90,0,90>
  hollow
  scale <0.240366, 0.269176, 0.260945>
  translate  6.216225*z
}
#declare CSG2 = merge {
  sphere { // Sphere10
    <0,0,0>,1
    texture {
      nothing
    }
    scale 0.05
    translate  <-3.987494, 3.461274, 5.214552>
  }
  sphere { // Sphere11
    <0,0,0>,1
    texture {
      nothing
    }
    scale 0.05
    translate  <-4.342123, 4.331364, 5.214552>
  }
  sphere { // Sphere12
    <0,0,0>,1
    texture {
      nothing
    }
    scale 0.05
    translate  <-3.650456, 3.605763, 5.214552>
  }
  sphere { // Sphere13
    <0,0,0>,1
    texture {
      nothing
    }
    scale 0.05
    translate  <-4.331487, 3.616461, 5.214552>
  }
  sphere { // Sphere14
    <0,0,0>,1
    texture {
      nothing
    }
    scale 0.05
    translate  <-3.649646, 4.333268, 5.214552>
  }
  sphere { // Sphere15
    <0,0,0>,1
    texture {
      nothing
    }
    scale 0.05
    translate  <-4.46459, 3.976313, 5.214552>
  }
  sphere { // Sphere16
    <0,0,0>,1
    texture {
      nothing
    }
    scale 0.05
    translate  <-3.51626, 3.984602, 5.214552>
  }
  sphere { // Sphere17
    <0,0,0>,1
    texture {
      nothing
    }
    scale 0.05
    translate  <-3.992691, 4.490845, 5.214552>
  }
  translate  <3.991546, -3.977388, 0.962867>
}
#declare very_top_vent = difference {
  object { RotSwp004 }
  object { CSG2 }
  rotate -180.0*z
}
#declare CSG001 = merge {
  sphere { // Sphere3
    <0,0,0>,1
    texture {
      nothing
    }
    scale 0.05
    translate  <-4.003574, 3.50292, 5.214552>
  }
  sphere { // Sphere4
    <0,0,0>,1
    texture {
      nothing
    }
    scale 0.05
    translate  <-4.354516, 4.35257, 5.214552>
  }
  sphere { // Sphere5
    <0,0,0>,1
    texture {
      nothing
    }
    scale 0.05
    translate  <-3.652631, 3.62298, 5.214552>
  }
  sphere { // Sphere6
    <0,0,0>,1
    texture {
      nothing
    }
    scale 0.05
    translate  <-4.336046, 3.64145, 5.214552>
  }
  sphere { // Sphere7
    <0,0,0>,1
    texture {
      nothing
    }
    scale 0.05
    translate  <-3.634161, 4.324864, 5.214552>
  }
  sphere { // Sphere8
    <0,0,0>,1
    texture {
      nothing
    }
    scale 0.05
    translate  <-4.493046, 3.992393, 5.214552>
  }
  sphere { // Sphere9
    <0,0,0>,1
    texture {
      nothing
    }
    hollow
    scale 0.05
    translate  <-3.495631, 3.992393, 5.214552>
  }
  sphere { // Sphere002
    <0,0,0>,1
    texture {
      nothing
    }
    hollow
    scale 0.05
    translate  <-4.003574, 4.481865, 5.214552>
  }
  translate  <3.991546, -3.990949, -0.067808>
}
#declare top_vent = difference {
  cylinder { // Cylndr001
    <0,0,1>, <0,0,0>, 1 open
    hollow
    scale <0.5, 0.5, 0.316128>
    translate  4.96536*z
  }
  object { CSG001 }
  rotate -180.0*z
}
union { // Brass
  object { BezPtch3 }
  object { BezPtch6 }
  cylinder { // Cylndr4
    <0,0,1>, <0,0,0>, 1 
    scale <0.110765, 0.110765, 3.27>
    rotate -5.301397*x
    translate  <0.0, -1.704845, 1.920078>
  }
  object { lifts }
  object { top_brass }
  object { RotSwp3 }
  object { base }
  object { very_top_vent }
  object { top_vent }
  texture {
    Copper_Texture
  }
  rotate -180.0*z
}


object { // BezPtch001
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.441505, -1.944807, 0.000000>, <-0.220752, -1.944807, 0.000000>, <0.000000, -1.944807, 0.000000>, <0.220752, -1.944807, 0.000000>, 
      <-0.441505, -0.972404, 0.569801>, <-0.220752, -0.972404, 0.569801>, <0.000000, -0.972404, 0.569801>, <0.220752, -0.972404, 0.569801>, 
      <-0.441505, 0.113960, -0.455840>, <-0.220752, 0.113960, -0.455840>, <0.000000, 0.113960, -0.455840>, <0.220752, 0.113960, -0.455840>, 
      <-0.441505, 0.870135, 0.347726>, <-0.243242, 0.899392, 0.347726>, <0.000000, 0.870135, 0.347726>, <0.220752, 0.870135, 0.347726>
    }
  }
  texture {
    Texture3
  }
  scale <0.136208, 0.134885, 0.246846>
  rotate <84.373108, 4.138934, 130.217133>
  translate  <-0.037902, -0.022535, 2.586787>
}


sphere { // Sphere001
  <0,0,0>,1
  texture {
    silver
  }
  hollow
  scale <0.318292, 0.283613, 0.245993>
  translate  2.216568*z
}


//
// Include file contains 'Glass'
//
#include "lamp.i20"
object {   // Glass
  Glass_Raw
  texture {
    NBoldglass
  }
  scale 0.381807
  translate  3.843854*z
}


#declare CSG12 = difference {
  box { // Cube16
    <-1, -1, -1>, <1, 1, 1>
    texture {
      DMFWood5_1
      scale <10.0, 10.0, 1.0>
      rotate <-90.0, 0.0, -90.0>
    }
    scale <16.968666, 0.970775, 0.130053>
    rotate <179.907547, 0.0, 90.0>
    translate  <2.575334, -7.174761, -0.521393>
  }
  cylinder { // Cylndr23
    <0,0,1>, <0,0,0>, 1 
    texture {
      DMFWood5_1
      scale <5.0, 5.0, 0.5>
      translate <0.003521, -0.067772, 0.501424>
    }
    scale <0.216625, 0.216625, 35.0>
    rotate -90.180656*x
    translate  <3.557509, -24.737131, -0.262281>
  }
  cylinder { // Cylndr24
    <0,0,1>, <0,0,0>, 1 
    texture {
      DMFWood5_1
      scale <5.0, 5.0, 0.5>
      translate <0.000000, -0.255985, 0.502484>
    }
    scale <0.216625, 0.216625, 35.0>
    rotate -90.180656*x
    translate  <1.561833, -24.737131, -0.262281>
  }
  translate  <-2.46582, -0.859081, -0.047186>
}
#declare CSG9 = difference {
  box { // Cube13
    <-1, -1, -1>, <1, 1, 1>
    texture {
      DMFWood5_1
      scale <10.0, 10.0, 1.0>
      rotate <90.0, 90.0, 90.0>
    }
    scale <16.968666, 0.970775, 0.130053>
    rotate <179.907547, 0.0, 90.0>
    translate  <2.575334, -7.174761, -0.521393>
  }
  cylinder { // Cylndr17
    <0,0,1>, <0,0,0>, 1 
    texture {
      DMFWood5_1
      scale <5.0, 5.0, 0.5>
      translate <-0.012779, -0.068931, 0.503698>
    }
    scale <0.216625, 0.216625, 35.0>
    rotate -90.180656*x
    translate  <3.557509, -24.737131, -0.262281>
  }
  cylinder { // Cylndr18
    <0,0,1>, <0,0,0>, 1 
    texture {
      DMFWood5_1
      scale <5.0, 5.0, 0.5>
      translate <0.006921, -0.091060, 0.501087>
    }
    scale <0.216625, 0.216625, 35.0>
    rotate -90.180656*x
    translate  <1.561833, -24.737131, -0.262281>
  }
  translate  <-4.412391, -0.859081, -0.047405>
}
#declare CSG11 = difference {
  box { // Cube15
    <-1, -1, -1>, <1, 1, 1>
    texture {
      DMFWood5_1
      scale <10.0, 10.0, 1.0>
      rotate <-90.0, 0.0, -90.0>
    }
    scale <16.968666, 0.970775, 0.130053>
    rotate <179.907547, 0.0, 90.0>
    translate  <2.575334, -7.174761, -0.521393>
  }
  cylinder { // Cylndr21
    <0,0,1>, <0,0,0>, 1 
    texture {
      DMFWood5_1
      scale <5.0, 5.0, 0.5>
      translate <0.003521, -0.067772, 0.501424>
    }
    scale <0.216625, 0.216625, 35.0>
    rotate -90.180656*x
    translate  <3.557509, -24.737131, -0.262281>
  }
  cylinder { // Cylndr22
    <0,0,1>, <0,0,0>, 1 
    texture {
      DMFWood5_1
      scale <5.0, 5.0, 0.5>
      translate <0.000000, -0.255985, 0.502484>
    }
    scale <0.216625, 0.216625, 35.0>
    rotate -90.180656*x
    translate  <1.561833, -24.737131, -0.262281>
  }
  text {   // Text001
    ttf      "C:\WINDOWS\Fonts\Comicbd.ttf",
    "Revera",
    0.3,  // Depth
    <0.0,     0.0, 0.0> // Offset
    texture {
      DMFWood5_1
      scale <10.0, 7.0, 1.8>
      rotate <-90.402512, -14.357487, -90.118607>
      translate <1.519694, 0.326288, 0.094858>
    }
    scale 0.431769
    rotate <-0.0, 0.0, -91.043579>
    translate  <2.78032, -5.454866, -0.503343>
  }

  text {   // Text2
    ttf      "C:\WINDOWS\Fonts\Comicbd.ttf",
    "1998",
    0.3,  // Depth
    <0.0,     0.0, 0.0> // Offset
    texture {
      DMFWood5_1
      scale <10.0, 7.0, 1.5>
      rotate <90.228294, 7.99775, -88.911888>
      translate <1.115323, 0.366926, -0.000000>
    }
    scale 0.431769
    rotate <-0.0, 0.0, -92.164352>
    translate  <2.047996, -5.648159, -0.505156>
  }

  translate  <-6.389168, -0.850835, -0.047186>
}
#declare CSG8 = difference {
  box { // Cube12
    <-1, -1, -1>, <1, 1, 1>
    texture {
      DMFWood5_1
      scale <10.0, 10.0, 1.0>
      rotate <90.0, 90.0, 90.0>
    }
    scale <16.968666, 0.970775, 0.130053>
    rotate <179.907547, 0.0, 90.0>
    translate  <2.575334, -7.174761, -0.521393>
  }
  cylinder { // Cylndr15
    <0,0,1>, <0,0,0>, 1 
    texture {
      DMFWood5_1
      scale <5.0, 5.0, 0.5>
      translate <-0.012779, -0.068931, 0.503698>
    }
    scale <0.216625, 0.216625, 35.0>
    rotate -90.180656*x
    translate  <3.557509, -24.737131, -0.262281>
  }
  cylinder { // Cylndr16
    <0,0,1>, <0,0,0>, 1 
    texture {
      DMFWood5_1
      scale <5.0, 5.0, 0.5>
      translate <0.006921, -0.091060, 0.501087>
    }
    scale <0.216625, 0.216625, 35.0>
    rotate -90.180656*x
    translate  <1.561833, -24.737131, -0.262281>
  }
  translate  <-8.335739, -0.850835, -0.047405>
}
#declare CSG10 = difference {
  box { // Cube14
    <-1, -1, -1>, <1, 1, 1>
    texture {
      DMFWood5_1
      scale <10.0, 10.0, 1.0>
      rotate <-90.0, 0.0, -90.0>
    }
    scale <16.968666, 0.970775, 0.130053>
    rotate <179.907547, 0.0, 90.0>
    translate  <2.575334, -7.174761, -0.521393>
  }
  cylinder { // Cylndr19
    <0,0,1>, <0,0,0>, 1 
    texture {
      DMFWood5_1
      scale <5.0, 5.0, 0.5>
      translate <0.003521, -0.067772, 0.501424>
    }
    scale <0.216625, 0.216625, 35.0>
    rotate -90.180656*x
    translate  <3.557509, -24.737131, -0.262281>
  }
  cylinder { // Cylndr20
    <0,0,1>, <0,0,0>, 1 
    texture {
      DMFWood5_1
      scale <5.0, 5.0, 0.5>
      translate <0.000000, -0.255985, 0.502484>
    }
    scale <0.216625, 0.216625, 35.0>
    rotate -90.180656*x
    translate  <1.561833, -24.737131, -0.262281>
  }
  translate  <-10.345211, -0.859081, -0.047186>
}
#declare CSG7 = difference {
  box { // Cube11
    <-1, -1, -1>, <1, 1, 1>
    texture {
      DMFWood5_1
      scale <10.0, 10.0, 1.0>
      rotate <90.0, 90.0, 90.0>
    }
    scale <16.968666, 0.970775, 0.130053>
    rotate <179.907547, 0.0, 90.0>
    translate  <2.575334, -7.174761, -0.521393>
  }
  cylinder { // Cylndr13
    <0,0,1>, <0,0,0>, 1 
    texture {
      DMFWood5_1
      scale <5.0, 5.0, 0.5>
      translate <-0.012779, -0.068931, 0.503698>
    }
    scale <0.216625, 0.216625, 35.0>
    rotate -90.180656*x
    translate  <3.557509, -24.737131, -0.262281>
  }
  cylinder { // Cylndr14
    <0,0,1>, <0,0,0>, 1 
    texture {
      DMFWood5_1
      scale <5.0, 5.0, 0.5>
      translate <0.006921, -0.091060, 0.501087>
    }
    scale <0.216625, 0.216625, 35.0>
    rotate -90.180656*x
    translate  <1.561833, -24.737131, -0.262281>
  }
  translate  <-12.291781, -0.859081, -0.047405>
}
#declare CSG16 = difference {
  box { // Cube20
    <-1, -1, -1>, <1, 1, 1>
    texture {
      DMFWood5_1
      scale <10.0, 10.0, 1.0>
      rotate <-90.0, 0.0, -90.0>
    }
    scale <16.968666, 0.970775, 0.130053>
    rotate <179.907547, 0.0, 90.0>
    translate  <2.575334, -7.174761, -0.521393>
  }
  cylinder { // Cylndr31
    <0,0,1>, <0,0,0>, 1 
    texture {
      DMFWood5_1
      scale <5.0, 5.0, 0.5>
      translate <0.003521, -0.067772, 0.501424>
    }
    scale <0.216625, 0.216625, 35.0>
    rotate -90.180656*x
    translate  <3.557509, -24.737131, -0.262281>
  }
  cylinder { // Cylndr32
    <0,0,1>, <0,0,0>, 1 
    texture {
      DMFWood5_1
      scale <5.0, 5.0, 0.5>
      translate <0.000000, -0.255985, 0.502484>
    }
    scale <0.216625, 0.216625, 35.0>
    rotate -90.180656*x
    translate  <1.561833, -24.737131, -0.262281>
  }
  translate  <5.438281, -0.845977, -0.047186>
}
#declare CSG15 = difference {
  box { // Cube19
    <-1, -1, -1>, <1, 1, 1>
    texture {
      DMFWood5_1
      scale <10.0, 10.0, 1.0>
      rotate <90.0, 90.0, 90.0>
    }
    scale <16.968666, 0.970775, 0.130053>
    rotate <179.907547, 0.0, 90.0>
    translate  <2.575334, -7.174761, -0.521393>
  }
  cylinder { // Cylndr29
    <0,0,1>, <0,0,0>, 1 
    texture {
      DMFWood5_1
      scale <5.0, 5.0, 0.5>
      translate <-0.012779, -0.068931, 0.503698>
    }
    scale <0.216625, 0.216625, 35.0>
    rotate -90.180656*x
    translate  <3.557509, -24.737131, -0.262281>
  }
  cylinder { // Cylndr30
    <0,0,1>, <0,0,0>, 1 
    texture {
      DMFWood5_1
      scale <5.0, 5.0, 0.5>
      translate <0.006921, -0.091060, 0.501087>
    }
    scale <0.216625, 0.216625, 35.0>
    rotate -90.180656*x
    translate  <1.561833, -24.737131, -0.262281>
  }
  translate  <3.49171, -0.845977, -0.047405>
}
#declare CSG17 = difference {
  box { // Cube21
    <-1, -1, -1>, <1, 1, 1>
    texture {
      DMFWood5_1
      scale <10.0, 10.0, 1.0>
      rotate <90.0, 90.0, 90.0>
    }
    scale <16.968666, 0.970775, 0.130053>
    rotate <179.907547, 0.0, 90.0>
    translate  <2.575334, -7.174761, -0.521393>
  }
  cylinder { // Cylndr33
    <0,0,1>, <0,0,0>, 1 
    texture {
      DMFWood5_1
      scale <5.0, 5.0, 0.5>
      translate <-0.012779, -0.068931, 0.503698>
    }
    scale <0.216625, 0.216625, 35.0>
    rotate -90.180656*x
    translate  <3.557509, -24.737131, -0.262281>
  }
  cylinder { // Cylndr34
    <0,0,1>, <0,0,0>, 1 
    texture {
      DMFWood5_1
      scale <5.0, 5.0, 0.5>
      translate <0.006921, -0.091060, 0.501087>
    }
    scale <0.216625, 0.216625, 35.0>
    rotate -90.180656*x
    translate  <1.561833, -24.737131, -0.262281>
  }
  translate  <7.415058, -0.828572, -0.047405>
}
#declare CSG18 = difference {
  box { // Cube22
    <-1, -1, -1>, <1, 1, 1>
    texture {
      DMFWood5_1
      scale <10.0, 10.0, 1.0>
      rotate <-90.0, 0.0, -90.0>
    }
    scale <16.968666, 0.970775, 0.130053>
    rotate <179.907547, 0.0, 90.0>
    translate  <2.575334, -7.174761, -0.521393>
  }
  cylinder { // Cylndr35
    <0,0,1>, <0,0,0>, 1 
    texture {
      DMFWood5_1
      scale <5.0, 5.0, 0.5>
      translate <0.003521, -0.067772, 0.501424>
    }
    scale <0.216625, 0.216625, 35.0>
    rotate -90.180656*x
    translate  <3.557509, -24.737131, -0.262281>
  }
  cylinder { // Cylndr36
    <0,0,1>, <0,0,0>, 1 
    texture {
      DMFWood5_1
      scale <5.0, 5.0, 0.5>
      translate <0.000000, -0.255985, 0.502484>
    }
    scale <0.216625, 0.216625, 35.0>
    rotate -90.180656*x
    translate  <1.561833, -24.737131, -0.262281>
  }
  translate  <9.361629, -0.828572, -0.047186>
}
#declare CSG14 = difference {
  box { // Cube18
    <-1, -1, -1>, <1, 1, 1>
    texture {
      DMFWood5_1
      scale <10.0, 10.0, 1.0>
      rotate <-90.0, 0.0, -90.0>
    }
    scale <16.968666, 0.970775, 0.130053>
    rotate <179.907547, 0.0, 90.0>
    translate  <2.575334, -7.174761, -0.521393>
  }
  cylinder { // Cylndr27
    <0,0,1>, <0,0,0>, 1 
    texture {
      DMFWood5_1
      scale <5.0, 5.0, 0.5>
      translate <0.003521, -0.067772, 0.501424>
    }
    scale <0.216625, 0.216625, 35.0>
    rotate -90.180656*x
    translate  <3.557509, -24.737131, -0.262281>
  }
  cylinder { // Cylndr28
    <0,0,1>, <0,0,0>, 1 
    texture {
      DMFWood5_1
      scale <5.0, 5.0, 0.5>
      translate <0.000000, -0.255985, 0.502484>
    }
    scale <0.216625, 0.216625, 35.0>
    rotate -90.180656*x
    translate  <1.561833, -24.737131, -0.262281>
  }
  translate  <1.482239, -0.859152, -0.047186>
}
#declare CSG13 = difference {
  box { // Cube17
    <-1, -1, -1>, <1, 1, 1>
    texture {
      DMFWood5_1
      scale <10.0, 10.0, 1.0>
      rotate <90.0, 90.0, 90.0>
    }
    scale <16.968666, 0.970775, 0.130053>
    rotate <179.907547, 0.0, 90.0>
    translate  <2.575334, -7.174761, -0.521393>
  }
  cylinder { // Cylndr25
    <0,0,1>, <0,0,0>, 1 
    texture {
      DMFWood5_1
      scale <5.0, 5.0, 0.5>
      translate <-0.012779, -0.068931, 0.503698>
    }
    scale <0.216625, 0.216625, 35.0>
    rotate -90.180656*x
    translate  <3.557509, -24.737131, -0.262281>
  }
  cylinder { // Cylndr26
    <0,0,1>, <0,0,0>, 1 
    texture {
      DMFWood5_1
      scale <5.0, 5.0, 0.5>
      translate <0.006921, -0.091060, 0.501087>
    }
    scale <0.216625, 0.216625, 35.0>
    rotate -90.180656*x
    translate  <1.561833, -24.737131, -0.262281>
  }
  translate  <-0.464332, -0.859152, -0.047405>
}
union { // All_Wood
  object { CSG12 }
  object { CSG9 }
  object { CSG11 }
  object { CSG8 }
  object { CSG10 }
  object { CSG7 }
  object { CSG16 }
  object { CSG15 }
  object { CSG17 }
  object { CSG18 }
  object { CSG14 }
  object { CSG13 }
  rotate 58.0*z
  translate  <-0.86072, -0.33775, 0.204373>
}


